Description

Afecta al addon de RATIOSIMILARITY.

Parece ser que con jython 2.7.1 no se puede de sobreescribir desde python una metodo que sus parametros se declaren como
"Object... params". Esto hace que no se puedan registras factorias de simbolos en el evaluador de expresiones que añadan
funciones nuevas desde scripting.

Para arreglarlo:

- Preparar una clase abstracta en el SPI de evaluador de simbolos que rodee la necesidad de sobreescribir el metodo
"create(Object... params)", añadiendo otro "createSymblTable(Object[] params)".

- Modificar el script de ratiosimilarity para que ese la nueva clase abstracta en lugar de la standard.

History
#1 - 04/30/2020 06:58 PM - Álvaro Anguix
- Category set to Scripting

#2 - 05/06/2020 01:22 PM - José Olivas
- Target version changed from 2.5.1-3044 to 2.5.1-3022
- Status changed from New to Fixed

https://github.com/gvSIGAssociation/gvsig-desktop-scripting-RatioSimilarity/commit/d1c1811384e2c7559547fc02892e0faf294ea275

#3 - 05/09/2020 04:17 PM - Álvaro Anguix
- Status changed from Fixed to Closed
